package lockprovider

import "gitlink.org.cn/cloudream/jcs-pub/common/pkgs/distlock/types"

type EmptyTarget struct{}

func NewEmptyTarget() *EmptyTarget {
	return &EmptyTarget{}
}

func (e *EmptyTarget) Equals(other types.LockTarget) bool {
	_, ok := other.(*EmptyTarget)
	return ok
}
